Subject: remove process-kill-buffer-query-function from kill-buffer-query-functions

From: Boruch Baum <[email-masked]>
Date: Mon, 12 Oct 2020 10:07:14 -0400

When explicitly killing a shell/eshell or terminal-emulator
ansi-term/term buffer, a user shouldn't have to take an extra step to
respond to the prompt of process-kill-buffer-query-function. In such
cases, the process for which function process-kill-buffer-query-function
is activated is the foreground shell process, so of course the conscious
user intent is to kill it.

One way to implement this is to have the mode entry functions remove the
entry from the buffer-local copy of kill-buffer-query-functions (if
that's an option for that variable). Another possibility is to put the
logic inside function process-kill-buffer-query-function. There may be
other ways. I'm not sure which is preferable so I haven't included a patch.

--
hkp://keys.gnupg.net
CA45 09B5 5351 7C11 A9D1  7286 0036 9E45 1595 8BC0